---
title: "查询单一提款记录"
description: "查询店铺单一提款记录。暂不支持POS业务"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/shopline-payments/payout'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/shopline-payments/payout.md'
---
# 查询单一提款记录

查询店铺单一提款记录。暂不支持POS业务

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_payment`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /payments/store/payout.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_payment`

## Request

### Query Parameters

* `payout_id`

  string (required)

  提款序号

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `404`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `payouts`

  array<object>

  打款记录列表

  * `currency`

    string

    提款币种，按ISO4217规范

  * `date`

    string

    提款日期，按ISO8601规范

  * `id`

    string

    提款序号

  * `status`

    string

    提款状态。枚举值：in progress（处理中）；accepted by bank（银行已受理）；completed（已完成）；failed（打款失败）；retrying（重新打款中）；

  * `amount`

    string

    提款金额，金额保留两位小数


#### 401

* `errors`

  string

  错误描述。


#### 404

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "查询店铺单一提款记录。暂不支持POS业务",
  "externalDocs": {
    "description": "接口使用的权限点: `read_payment` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "Q2WCX9Kg",
  "parameters": [
    {
      "name": "payout_id",
      "in": "query",
      "description": "提款序号",
      "required": true,
      "style": "form",
      "explode": true,
      "schema": {
        "name": "payout_id",
        "description": "提款序号",
        "type": "string",
        "example": "202207291892569505684072448"
      },
      "example": "202207291892569505684072448",
      "examples": {
        "查询店铺提款记录": {
          "value": "202102231137052720193673216"
        },
        "查询店铺提款记录 - payout_id不正确": {
          "value": "202207291892569505684072448"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "payouts": {
                "name": "payouts",
                "description": "打款记录列表",
                "type": "array",
                "items": {
                  "name": "payouts",
                  "description": "打款记录列表",
                  "type": "object",
                  "properties": {
                    "currency": {
                      "name": "currency",
                      "description": "提款币种，按ISO4217规范",
                      "type": "string",
                      "example": "USD"
                    },
                    "date": {
                      "name": "date",
                      "description": "提款日期，按ISO8601规范",
                      "type": "string",
                      "example": "2022-08-03T10:45:00+08:00"
                    },
                    "id": {
                      "name": "id",
                      "description": "提款序号",
                      "type": "string",
                      "example": "202207291892569505684072448"
                    },
                    "status": {
                      "name": "status",
                      "description": "提款状态。枚举值：in progress（处理中）；accepted by bank（银行已受理）；completed（已完成）；failed（打款失败）；retrying（重新打款中）；",
                      "type": "string",
                      "example": "in progress"
                    },
                    "amount": {
                      "name": "amount",
                      "description": "提款金额，金额保留两位小数",
                      "type": "string",
                      "example": "12.00"
                    }
                  },
                  "example": {
                    "id": "202207291892569505684072448",
                    "status": "in progress",
                    "amount": "12.00",
                    "currency": "USD",
                    "date": "2022-08-03T10:45:00+08:00"
                  }
                },
                "example": [
                  {
                    "amount": "12.00",
                    "currency": "USD",
                    "date": "2022-08-03T10:45:00+08:00",
                    "id": "202207291892569505684072448",
                    "status": "in progress"
                  }
                ]
              }
            },
            "example": {
              "payouts": [
                {
                  "status": "in progress",
                  "amount": "12.00",
                  "currency": "USD",
                  "date": "2022-08-03T10:45:00+08:00",
                  "id": "202207291892569505684072448"
                }
              ]
            }
          },
          "examples": {
            "查询店铺提款记录": {
              "value": {
                "payouts": [
                  {
                    "date": "2021-02-23T10:00:23+08:00",
                    "id": "202102231137052720193673216",
                    "status": "completed",
                    "amount": "3.63",
                    "currency": "USD"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "404": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "name": "errors",
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          },
          "examples": {
            "查询店铺提款记录 - payout_id不正确": {
              "value": {}
            }
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/payments/store/payout.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询单一提款记录",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_payment"
  ]
}
```